FLANG

Public Member Functions | Static Public Member Functions | List of all members
Fortran::lower::LoweringBridge Class Reference

`#include <flang/Lower/Bridge.h>`

## Public Member Functions
mlir::MLIRContext & | getMLIRContext ()
mlir::ModuleOp & | getModule ()
const Fortran::common::IntrinsicTypeDefaultKinds & | getDefaultKinds () const
const Fortran::evaluate::IntrinsicProcTable & | getIntrinsicTable () const
const Fortran::parser::CookedSource * | getCookedSource () const
const fir::KindMapping & | getKindMap () const
| Get the kind map.
Fortran::evaluate::FoldingContext | createFoldingContext () const
| Create a folding context. Careful: this is very expensive.
bool | validModule ()
void | parseSourceFile (llvm::SourceMgr &)
void | lower (const Fortran::parser::Program &program, fir::NameUniquer &uniquer, const Fortran::semantics::SemanticsContext &semanticsContext)
| Cross the bridge from the Fortran parse-tree, etc. to MLIR dialects.

## Static Public Member Functions
static LoweringBridge | create (const Fortran::common::IntrinsicTypeDefaultKinds &defaultKinds, const Fortran::evaluate::IntrinsicProcTable &intrinsics, const Fortran::parser::CookedSource &cooked)
| Create a lowering bridge instance.

## Detailed Description

The lowering bridge converts the front-end parse trees and semantics checking residual to MLIR (FIR dialect) code.

## Member Function Documentation

## ◆ parseSourceFile()

void Fortran::lower::LoweringBridge::parseSourceFile | ( | llvm::SourceMgr & |  | ) |

Read in an MLIR input file rather than lowering Fortran sources. This is intended to be used for testing.

The documentation for this class was generated from the following file:

- include/flang/Lower/Bridge.h